# Uses of Class
org.apache.sysds.parser.FunctionStatementBlock

Packages that use FunctionStatementBlock
Package
Description
org.apache.sysds.hops.fedplanner
org.apache.sysds.hops.rewrite
org.apache.sysds.lops.rewrite
org.apache.sysds.parser
org.apache.sysds.parser.dml
org.apache.sysds.runtime.util

## Uses of FunctionStatementBlock in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner with parameters of type FunctionStatementBlock
Modifier and Type
Method
Description
`static FederatedMemoTable.FedPlan`
FederatedPlanCostEnumerator.`enumerateFunctionDynamic(FunctionStatementBlock function, FederatedMemoTable memoTable, boolean isPrint)`
`static void`
FederatedPlanRewireTransTable.`rewireFunctionDynamic(FunctionStatementBlock function, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet)`
`abstract void`
AFederatedPlanner.`rewriteFunctionDynamic(FunctionStatementBlock function, LocalVariableMap funcArgs)`
Selects a federated execution plan for the given function, taking into account federation types of the arguments.
`void`
FederatedPlannerFedAll.`rewriteFunctionDynamic(FunctionStatementBlock function, LocalVariableMap funcArgs)`
`void`
FederatedPlannerFedCostBased.`rewriteFunctionDynamic(FunctionStatementBlock function, LocalVariableMap funcArgs)`

## Uses of FunctionStatementBlock in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type FunctionStatementBlock
Modifier and Type
Method
Description
`void`
ProgramRewriter.`rewriteHopDAGsFunction(FunctionStatementBlock fsb, boolean splitDags)`
`void`
ProgramRewriter.`rewriteHopDAGsFunction(FunctionStatementBlock fsb, ProgramRewriteStatus state, boolean splitDags)`

## Uses of FunctionStatementBlock in org.apache.sysds.lops.rewrite

Methods in org.apache.sysds.lops.rewrite with parameters of type FunctionStatementBlock
Modifier and Type
Method
Description
`void`
LopRewriter.`rewriteLopDAGsFunction(FunctionStatementBlock fsb)`

## Uses of FunctionStatementBlock in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return FunctionStatementBlock
Modifier and Type
Method
Description
`FunctionStatementBlock`
DMLProgram.`getFunctionStatementBlock(String fkey)`
`FunctionStatementBlock`
DMLProgram.`getFunctionStatementBlock(String namespaceKey, String functionName)`
Methods in org.apache.sysds.parser that return types with arguments of type FunctionStatementBlock
Modifier and Type
Method
Description
`FunctionDictionary<FunctionStatementBlock>`
DMLProgram.`createNamespace(String namespace)`
`FunctionDictionary<FunctionStatementBlock>`
DMLProgram.`getBuiltinFunctionDictionary()`
`FunctionDictionary<FunctionStatementBlock>`
DMLProgram.`getDefaultFunctionDictionary()`
`FunctionDictionary<FunctionStatementBlock>`
DMLProgram.`getFunctionDictionary(String namespace)`
`List<FunctionStatementBlock>`
DMLProgram.`getFunctionStatementBlocks()`
`Map<String,FunctionStatementBlock>`
DMLProgram.`getFunctionStatementBlocks(String namespaceKey)`
`Map<String,FunctionStatementBlock>`
DMLProgram.`getNamedNSFunctionStatementBlocks()`
`Map<String,FunctionDictionary<FunctionStatementBlock>>`
DMLProgram.`getNamespaces()`
Methods in org.apache.sysds.parser with parameters of type FunctionStatementBlock
Modifier and Type
Method
Description
`void`
DMLProgram.`addFunctionStatementBlock(String namespace, String fname, FunctionStatementBlock fsb)`
`void`
DMLProgram.`addFunctionStatementBlock(String fname, FunctionStatementBlock fsb)`
`void`
DMLTranslator.`constructHopsForFunctionControlBlock(FunctionStatementBlock fsb)`
`void`
DMLTranslator.`liveVariableAnalysisFunction(DMLProgram dmlp, FunctionStatementBlock fsb)`
`void`
DMLTranslator.`validateFunction(DMLProgram dmlp, FunctionStatementBlock fsb)`
`void`
DMLTranslator.`validateFunction(DMLProgram dmlp, FunctionStatementBlock fsb, boolean conditional)`

## Uses of FunctionStatementBlock in org.apache.sysds.parser.dml

Fields in org.apache.sysds.parser.dml with type parameters of type FunctionStatementBlock
Modifier and Type
Field
Description
`HashMap<String,FunctionDictionary<FunctionStatementBlock>>`
StatementInfo.`namespaces`
Methods in org.apache.sysds.parser.dml that return types with arguments of type FunctionStatementBlock
Modifier and Type
Method
Description
`FunctionDictionary<FunctionStatementBlock>`
DmlSyntacticValidator.`getParsedBuiltinFunctions()`
`Map<String,FunctionDictionary<FunctionStatementBlock>>`
DmlSyntacticValidator.`getParsedBuiltinFunctionsNs()`
`static Map<String,FunctionStatementBlock>`
DmlSyntacticValidator.`loadAndParseBuiltinFunction(String name, String namespace, boolean forced)`

## Uses of FunctionStatementBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return FunctionStatementBlock
Modifier and Type
Method
Description
`static FunctionStatementBlock`
ProgramConverter.`createDeepCopyFunctionStatementBlock(FunctionStatementBlock fsb, Set<String> fnStack, Set<String> fnCreated)`
Methods in org.apache.sysds.runtime.util with parameters of type FunctionStatementBlock
Modifier and Type
Method
Description
`static FunctionStatementBlock`
ProgramConverter.`createDeepCopyFunctionStatementBlock(FunctionStatementBlock fsb, Set<String> fnStack, Set<String> fnCreated)`